libetonyek::IWORKStyleContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKStyleContext Class Reference

`#include <IWORKStyleContext.h>`

Inheritance diagram for libetonyek::IWORKStyleContext:

## Public Member Functions
| IWORKStyleContext (IWORKXMLParserState &state, IWORKStyleMap_t *styleMap=nullptr)
| IWORKStyleContext (IWORKXMLParserState &state, IWORKPropertyMap &props, IWORKStyleMap_t *styleMap=nullptr, const char *defaultParent=nullptr)
void | attribute (int name, const char *value) override
void | endOfElement () override
IWORKStylePtr_t | getStyle ()
| returns the created style
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| IWORKStyleContext (IWORKStyleContext &)
IWORKStyleContext | operator= (IWORKStyleContext &)

## Private Attributes
IWORKStyleMap_t *const | m_styleMap
const std::string | m_defaultParent
IWORKPropertyMap | m_ownProps
IWORKPropertyMap & | m_props
IWORKStylePtr_t | m_style
| the final style
boost::optional< std::string > | m_ident
boost::optional< std::string > | m_parentIdent

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStyleContext() [1/3]

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKStyleMap_t * | styleMap = nullptr )

## ◆ IWORKStyleContext() [2/3]

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | props,
|  | IWORKStyleMap_t * | styleMap = nullptr,
|  | const char * | defaultParent = nullptr )

## ◆ IWORKStyleContext() [3/3]

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKStyleContext & |  | ) |
| private

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKStyleContext::attribute | ( | int | name,
|  | const char * | value )
| override

Referenced by libetonyek::KEY2StyleContext::attribute(), and libetonyek::PAG1StyleContext::attribute().

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKStyleContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKStyleContext::endOfElement | ( |  | ) |
| override

Referenced by libetonyek::KEY2StyleContext::endOfElement(), and libetonyek::PAG1StyleContext::endOfElement().

## ◆ getStyle()

IWORKStylePtr_t libetonyek::IWORKStyleContext::getStyle | ( |  | ) |
| inline

returns the created style

Note
  must be called after the style is read, ie. after endOfElement have been called

## ◆ operator=()

IWORKStyleContext libetonyek::IWORKStyleContext::operator= | ( | IWORKStyleContext & |  | ) |
| private

## Member Data Documentation

## ◆ m_defaultParent

const std::string libetonyek::IWORKStyleContext::m_defaultParent
| private

Referenced by endOfElement().

## ◆ m_ident

boost::optional<std::string> libetonyek::IWORKStyleContext::m_ident
| private

Referenced by attribute(), and endOfElement().

## ◆ m_ownProps

IWORKPropertyMap libetonyek::IWORKStyleContext::m_ownProps
| private

## ◆ m_parentIdent

boost::optional<std::string> libetonyek::IWORKStyleContext::m_parentIdent
| private

Referenced by attribute(), and endOfElement().

## ◆ m_props

IWORKPropertyMap& libetonyek::IWORKStyleContext::m_props
| private

Referenced by element(), and endOfElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKStyleContext::m_style
| private

the final style

Referenced by endOfElement(), and getStyle().

## ◆ m_styleMap

IWORKStyleMap_t* const libetonyek::IWORKStyleContext::m_styleMap
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKStyleContext.h
- IWORKStyleContext.cpp